Bug 819484 - missing usbredir channel in spice_server_set_channel_security
missing usbredir channel in spice_server_set_channel_security
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server (Show other bugs)
6.3
All All
unspecified Severity medium
: rc
: ---
Assigned To: Alon Levy
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 07:37 EDT by Alon Levy
Modified: 2012-06-20 08:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: spice-server-0.10.1-7.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 08:17:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2012-05-07 07:37:38 EDT
Missing support for the "usbredir" channel name in spice_server_set_channel_security. This is needed to allow setting of security for the usbredir channel, SPICE_CHANNEL_USBREDIR, individually.
Comment 2 Alon Levy 2012-05-08 10:55:43 EDT
Patch pushed upstream:

commit ce8e865cf1fcd7ee6ef2e6f8b33506df31e3345e
Author: Alon Levy <alevy@redhat.com>
Date:   Mon May 7 14:14:37 2012 +0300

    server/reds: add "usbredir" to recognized channel names
    
    RHBZ: 819484
    
    Signed-off-by: Alon Levy <alevy@redhat.com>

diff --git a/server/reds.c b/server/reds.c
index 1696fbc..26d6f89 100644
--- a/server/reds.c
+++ b/server/reds.c
@@ -3971,6 +3971,7 @@ SPICE_GNUC_VISIBLE int spice_server_set_channel_security(SpiceServer *s, const c
 #ifdef USE_SMARTCARD
         [ SPICE_CHANNEL_SMARTCARD] = "smartcard",
 #endif
+        [ SPICE_CHANNEL_USBREDIR ] = "usbredir",
     };
     int i;
Comment 6 Alon Levy 2012-05-14 08:21:09 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No Documentation Needed
Comment 9 errata-xmlrpc 2012-06-20 08:17:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0765.html

Note You need to log in before you can comment on or make changes to this bug.